<?php include("../../configuracion.php");?>
<?php 


$where = isset($_POST['where']) ? $_POST['where'] : NULL;
$tabla = isset($_POST['tabla']) ? $_POST['tabla'] : NULL;
$retorno = isset($_POST['retorno']) ? $_POST['retorno'] : NULL;
$campovacio = isset($_POST['campovacio']) ? $_POST['campovacio'] : NULL;


if($retorno){
    $ret = explode(",",$retorno);
}

$resultados = $db->get_results("Select ".$retorno." FROM ".$tabla." WHERE ".$where,ARRAY_A);

?>


<?php if($campovacio and $campovacio!=""){?>
<option value=""><?php echo $campovacio?></option>
<?php }?>
<?php foreach($resultados as $item){?>
<option value="<?php echo $item[$ret[0]]?>"><?php echo $item[$ret[1]]?></option>
<?php }?>